%define name    	beep-media-player-alarm
%define sname		bmp-alarm
%define xmmsname	xmms-alarm
%define version 0.6.0
%define rel		1
%define release		%mkrel_fixed2 %rel
%define mdkversion             %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)
%define mkrel_fixed2(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}

Summary:	An alarm plugin for beep-media-player
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://www.snika.uklinux.net/%{xmmsname}/%{sname}-%{version}.tar.bz2
License:	GPL
Group:		Sound
Url:		http://www.snika.uklinux.net/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	beep-media-player
BuildRequires:	beep-media-player-devel

%description
beep-media-player-alarm is an alarm plugin to use with beep-media-player
that fades up the volume in the morning and wakes you up.

%prep
%setup -q -n %{sname}-%{version}

%build
%configure --libdir=/%{_libdir}/bmp/General
%make

%install
rm -rf $RPM_BUILD_ROOT

make libdir=$RPM_BUILD_ROOT%{_libdir}/bmp/General install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/bmp/General/*
%doc COPYING INSTALL README

%changelog
* Mon Apr 18 2005 Guillaume Bedot <littletux@mandriva.org> 0.6.0-1mdk
- New release 0.6.0
- Dropped apparently out-dated patch
- Specs fixes for new archive name
- use mkrel_fixed2 from Goetz Waschk

* Mon May 24 2004 Olivier Blin <blino@mandrake.org> 0.3.6-0.bmp1.2mdk
- require beep-media-player, since it is the only player
  that can use beep-media-player plugins for now
- reenable libtoolize

* Mon May 10 2004 Olivier Blin <blino@mandrake.org> 0.3.6-0.bmp1.1mdk
- Patch0: - upgrade to beep-media-player configdb system
          - nuke old "beep" naming, replace with "bmp"
- first release based on xmms-alarm
